import fs from 'fs';
import { createSpinner } from 'nanospinner';

async function UpdateElementsInterfaces(name, config) {
    let filePath = `${config.foundation}/src/cwc-elements-interfaces.d.ts`;

    const spinner = createSpinner('Updating cwc-elements-interfaces.d.ts file... \n').start();

    fs.readFile(filePath, 'utf-8', function (err, data) {
        if (err) { spinner.error(); process.exit(1) };
        data = data.replace('//END WEB COMPONENT INTERFACES - DO NOT REMOVE THIS LINE', `"cwc-${name}": React.DetailedHTMLProps<
        HTMLAttributes<HTMLElement>,
        HTMLElement
      >;\n\t\t\t//END WEB COMPONENT INTERFACES - DO NOT REMOVE THIS LINE`)
        fs.writeFile(filePath, data, function (err) {
            if (err) {
                spinner.error();
                process.exit(1)
            }
            spinner.success();
        });
    });
}

export default UpdateElementsInterfaces;
/*
"cwc-textfield": React.DetailedHTMLProps<
        HTMLAttributes<HTMLElement>,
        HTMLElement
      >;
      //END WEB COMPONENT INTERFACES - DO NOT REMOVE THIS LINE

*/