import fs from 'fs';
import { createSpinner } from 'nanospinner';

async function UpdateDefineAllElements(name, config) {
    let filePath = `${config.webcomponents}/src/define-all-elements.js`;

    const spinner = createSpinner('Updating define-all-elements.js File... \n').start();

    fs.readFile(filePath, 'utf-8', function (err, data) {
        if (err) { spinner.error(); process.exit(1) };
        data = data.replace('//END IMPORTS - DO NOT REMOVE THIS LINE', `import "./define-${name}-element";\n//END IMPORTS - DO NOT REMOVE THIS LINE`)
        fs.writeFile(filePath, data, function (err) {
            if (err) {
                spinner.error();
                process.exit(1)
            }
            spinner.success();
        });
    });
}

export default UpdateDefineAllElements;